org.apache.maven.artifact.resolver

## Interface ArtifactResolver

All Known Implementing Classes:
  DefaultArtifactResolver

    public interface ArtifactResolver

I want to use it for hidding the fact that sometime artifact must be downloaded. I am just asking LocalRepository for given artifact and I don't care if it is alredy there or how it will get there.

Version:
  $Id: ArtifactResolver.java 495147 2007-01-11 07:47:53Z jvanzyl $
Author:
  Michal Maczka

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

Methods
`void` `resolve(Artifact artifact, java.util.List remoteRepositories, ArtifactRepository localRepository)`
`void` `resolveAlways(Artifact artifact, java.util.List remoteRepositories, ArtifactRepository localRepository)`
`ArtifactResolutionResult` `resolveTransitively(java.util.Set artifacts, Artifact originatingArtifact, ArtifactRepository localRepository, java.util.List remoteRepositories, ArtifactMetadataSource source, ArtifactFilter filter)`
`ArtifactResolutionResult` `resolveTransitively(java.util.Set artifacts, Artifact originatingArtifact, java.util.List remoteRepositories, ArtifactRepository localRepository, ArtifactMetadataSource source)`
`ArtifactResolutionResult` `resolveTransitively(java.util.Set artifacts, Artifact originatingArtifact, java.util.List remoteRepositories, ArtifactRepository localRepository, ArtifactMetadataSource source, java.util.List listeners)`
`ArtifactResolutionResult` `resolveTransitively(java.util.Set artifacts, Artifact originatingArtifact, java.util.Map managedVersions, ArtifactRepository localRepository, java.util.List remoteRepositories, ArtifactMetadataSource source)`
`ArtifactResolutionResult` `resolveTransitively(java.util.Set artifacts, Artifact originatingArtifact, java.util.Map managedVersions, ArtifactRepository localRepository, java.util.List remoteRepositories, ArtifactMetadataSource source, ArtifactFilter filter)`
`ArtifactResolutionResult` `resolveTransitively(java.util.Set artifacts, Artifact originatingArtifact, java.util.Map managedVersions, ArtifactRepository localRepository, java.util.List remoteRepositories, ArtifactMetadataSource source, ArtifactFilter filter, java.util.List listeners)`

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### resolve

    void resolve(Artifact artifact,
               java.util.List remoteRepositories,
               ArtifactRepository localRepository)
                 throws ArtifactResolutionException,
                        ArtifactNotFoundException

Throws:
  `ArtifactResolutionException`
  `ArtifactNotFoundException`

#### resolveTransitively

    ArtifactResolutionResult resolveTransitively(java.util.Set artifacts,
                                               Artifact originatingArtifact,
                                               java.util.List remoteRepositories,
                                               ArtifactRepository localRepository,
                                               ArtifactMetadataSource source)
                                                 throws ArtifactResolutionException,
                                                        ArtifactNotFoundException

Throws:
  `ArtifactResolutionException`
  `ArtifactNotFoundException`

#### resolveTransitively

    ArtifactResolutionResult resolveTransitively(java.util.Set artifacts,
                                               Artifact originatingArtifact,
                                               java.util.List remoteRepositories,
                                               ArtifactRepository localRepository,
                                               ArtifactMetadataSource source,
                                               java.util.List listeners)
                                                 throws ArtifactResolutionException,
                                                        ArtifactNotFoundException

Throws:
  `ArtifactResolutionException`
  `ArtifactNotFoundException`

#### resolveTransitively

    ArtifactResolutionResult resolveTransitively(java.util.Set artifacts,
                                               Artifact originatingArtifact,
                                               ArtifactRepository localRepository,
                                               java.util.List remoteRepositories,
                                               ArtifactMetadataSource source,
                                               ArtifactFilter filter)
                                                 throws ArtifactResolutionException,
                                                        ArtifactNotFoundException

Throws:
  `ArtifactResolutionException`
  `ArtifactNotFoundException`

#### resolveTransitively

    ArtifactResolutionResult resolveTransitively(java.util.Set artifacts,
                                               Artifact originatingArtifact,
                                               java.util.Map managedVersions,
                                               ArtifactRepository localRepository,
                                               java.util.List remoteRepositories,
                                               ArtifactMetadataSource source)
                                                 throws ArtifactResolutionException,
                                                        ArtifactNotFoundException

Throws:
  `ArtifactResolutionException`
  `ArtifactNotFoundException`

#### resolveTransitively

    ArtifactResolutionResult resolveTransitively(java.util.Set artifacts,
                                               Artifact originatingArtifact,
                                               java.util.Map managedVersions,
                                               ArtifactRepository localRepository,
                                               java.util.List remoteRepositories,
                                               ArtifactMetadataSource source,
                                               ArtifactFilter filter)
                                                 throws ArtifactResolutionException,
                                                        ArtifactNotFoundException

Throws:
  `ArtifactResolutionException`
  `ArtifactNotFoundException`

#### resolveTransitively

    ArtifactResolutionResult resolveTransitively(java.util.Set artifacts,
                                               Artifact originatingArtifact,
                                               java.util.Map managedVersions,
                                               ArtifactRepository localRepository,
                                               java.util.List remoteRepositories,
                                               ArtifactMetadataSource source,
                                               ArtifactFilter filter,
                                               java.util.List listeners)
                                                 throws ArtifactResolutionException,
                                                        ArtifactNotFoundException

Throws:
  `ArtifactResolutionException`
  `ArtifactNotFoundException`

#### resolveAlways

    void resolveAlways(Artifact artifact,
                     java.util.List remoteRepositories,
                     ArtifactRepository localRepository)
                       throws ArtifactResolutionException,
                              ArtifactNotFoundException

Throws:
  `ArtifactResolutionException`
  `ArtifactNotFoundException`